import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/property_sale_rent_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/property_sale_rent_entity.g.dart';

@JsonSerializable()
class PropertySaleRentEntity {
	int? count;
	int? page;
	int? limit;
	@JSONField(name: "count_page")
	int? countPage;
	List<PropertySaleRentList>? list;

	PropertySaleRentEntity();

	factory PropertySaleRentEntity.fromJson(Map<String, dynamic> json) => $PropertySaleRentEntityFromJson(json);

	Map<String, dynamic> toJson() => $PropertySaleRentEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class PropertySaleRentList {
	int? id;
	int? type;
	String? title;
	String? price;
	@JSONField(name: "price_show")
	String? priceShow;
	String? units;
	@JSONField(name: "created_at")
	String? createdAt;

	PropertySaleRentList();

	factory PropertySaleRentList.fromJson(Map<String, dynamic> json) => $PropertySaleRentListFromJson(json);

	Map<String, dynamic> toJson() => $PropertySaleRentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}